summaryrefslogtreecommitdiffstats
path: root/system/apache-activemq
diff options
context:
space:
mode:
Diffstat (limited to 'system/apache-activemq')
-rw-r--r--system/apache-activemq/README30
-rw-r--r--system/apache-activemq/apache-activemq.SlackBuild59
-rw-r--r--system/apache-activemq/apache-activemq.info2
3 files changed, 62 insertions, 29 deletions
diff --git a/system/apache-activemq/README b/system/apache-activemq/README
index 74dc0508ec..38acdece23 100644
--- a/system/apache-activemq/README
+++ b/system/apache-activemq/README
@@ -1,21 +1,22 @@
-Apache ActiveMQ is the most popular and powerful open source messaging and
-Integration Patterns provider.
+Apache ActiveMQ is the most popular and powerful open source messaging
+and Integration Patterns provider.
-Apache ActiveMQ is fast, supports many Cross Language Clients and Protocols,
-comes with easy to use Enterprise Integration Patterns and many advanced
-features while fully supporting JMS 1.1 and J2EE 1.4. Apache ActiveMQ is
-released under the Apache 2.0 License.
+Apache ActiveMQ is fast, supports many Cross Language Clients and
+Protocols, comes with easy to use Enterprise Integration Patterns
+and many advanced features while fully supporting JMS 1.1 and J2EE
+1.4. Apache ActiveMQ is released under the Apache 2.0 License.
-This package provides an /etc/rc.d/rc.activemq init script to manage the main
-ActiveMQ system instance. If you want to run different instances on the same
-machine:
+This package provides an /etc/rc.d/rc.activemq init script to manage
+the main ActiveMQ system instance. If you want to run different
+instances on the same machine:
-1) create the configuration file /etc/default/activemq-instance-<INSTANCENAME>
+1) create the configuration file
+ /etc/default/activemq-instance-<INSTANCENAME>
2) create an appropriate ACTIVEMQ_HOME
3) ln -sf /usr/share/activemq/bin/activemq \
/usr/local/bin/activemq-instance-<INSTANCENAME>
-4) use /usr/local/bin/activemq-instance-<INSTANCENAME> to start/stop/restart
- your own instance.
+4) use /usr/local/bin/activemq-instance-<INSTANCENAME> to
+ start/stop/restart your own instance.
Groupname and Username
@@ -29,8 +30,9 @@ for example:
Web Interface
-The web interface for ActiveMQ is available at http://127.0.0.1:8161/admin/
-with the default username and password set to:
+The web interface for ActiveMQ is available at
+http://127.0.0.1:8161/admin/ with the default username and password
+set to:
Login: admin
Passwort: admin
diff --git a/system/apache-activemq/apache-activemq.SlackBuild b/system/apache-activemq/apache-activemq.SlackBuild
index 61af0d8950..45eb960483 100644
--- a/system/apache-activemq/apache-activemq.SlackBuild
+++ b/system/apache-activemq/apache-activemq.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for Apache Active MQ.
@@ -22,20 +22,44 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220408 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - set ARCH correctly if it's not set in the environment.
+# - on 32-bit, remove the 64-bit binaries (and vice versa).
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=apache-activemq
VERSION=${VERSION:-5.14.5}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
ACTIVEMQ_USER=${ACTIVEMQ_USER:-activemq}
ACTIVEMQ_UID=${ACTIVEMQ_UID:-253}
ACTIVEMQ_GROUP=${ACTIVEMQ_GROUP:-activemq}
ACTIVEMQ_GID=${ACTIVEMQ_GID:-253}
-# i486 or x86_64 only
-ARCH=${ARCH:-i486}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+# i?86 or x86_64 only
+case "$ARCH" in
+ i?86) wrongbindir=linux-x86-64 ;;
+ x86_64) wrongbindir=linux-x86-32 ;;
+ *) echo "Unsupported ARCH $ARCH, only x86_64 and i?86 are supported." ;
+ exit 1 ;;
+esac
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -74,9 +98,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ -exec chmod 644 {} \+
# Worst file permissions ever seen in a package...
find . -type d -exec chmod 755 {} \;
@@ -88,7 +112,13 @@ mkdir -p $PKG/etc/activemq \
$PKG/var/{run,lib,log}/activemq
cp -f conf/* $PKG/etc/activemq/
-rm -rf bin/macosx
+rm -rf bin/macosx bin/$wrongbindir
+
+# 20220408 bkw: the binaries should be stripped, unless that breaks
+# something. I don't know how to tell, so this is commented out.
+# Maintainer of this build, please uncomment and check?
+#strip bin/linux-x86*/{wrapper,libwrapper.so}
+
cp -rf bin lib $PKG/usr/share/activemq/
cp -rf webapps $PKG/var/lib/activemq/
@@ -104,11 +134,12 @@ chown -R $ACTIVEMQ_USER:$ACTIVEMQ_GROUP $PKG/var/{run,lib,log}/activemq
)
# These links are still needed for activemq to actually work
-ln -sf /etc/activemq $PKG/usr/share/activemq/conf
-ln -sf /var/lib/activemq/webapps $PKG/usr/share/activemq/webapps
-ln -sf /var/log/activemq $PKG/usr/share/activemq/log
-ln -sf /tmp/activemq $PKG/usr/share/activemq/tmp
-
+# 20220408 bkw: made these relative links. the one to /tmp still
+# makes sbopkglint complain...
+ln -sf ../../../etc/activemq $PKG/usr/share/activemq/conf
+ln -sf ../../../var/lib/activemq/webapps $PKG/usr/share/activemq/webapps
+ln -sf ../../../var/log/activemq $PKG/usr/share/activemq/log
+ln -sf ../../../tmp/activemq $PKG/usr/share/activemq/tmp
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
@@ -125,4 +156,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/apache-activemq/apache-activemq.info b/system/apache-activemq/apache-activemq.info
index c2ae9a1e99..fd70b5d656 100644
--- a/system/apache-activemq/apache-activemq.info
+++ b/system/apache-activemq/apache-activemq.info
@@ -5,6 +5,6 @@ DOWNLOAD="http://archive.apache.org/dist/activemq/5.14.5/apache-activemq-5.14.5-
MD5SUM="3d28a422e05544a4c6764ad0d91718ee"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="jdk"
+REQUIRES="zulu-openjdk8"
MAINTAINER="Miguel De Anda"
EMAIL="miguel@thedeanda.com"